import { contextBridge, remote } from "electron";

import config from "./lib/config";
import { addWatermark } from "./lib/watermark";
import { queryStudentCount, replaceStudents, replacePackage } from "./lib/sync";

export const electronInWindow = {
  dialog: remote.dialog,
  config,
  addWatermark,
  queryStudentCount,
  replaceStudents,
  replacePackage,
};

contextBridge.exposeInMainWorld("electron", electronInWindow);
